"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useAnalytics = exports.AnalyticsProvider = exports.createClient = void 0;
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importStar(require("react"));
var analytics_next_1 = require("@segment/analytics-next");
var createClient = function (settings, options) { return analytics_next_1.AnalyticsBrowser.load(settings, options); };
exports.createClient = createClient;
var AnalyticsContext = (0, react_1.createContext)(null);
var AnalyticsProvider = function (_a) {
    var client = _a.client, children = _a.children;
    if (!(client instanceof analytics_next_1.AnalyticsBrowser)) {
        throw new Error('Invalid Segment `client`. Make sure you are using `createClient` correctly');
    }
    return (react_1.default.createElement(AnalyticsContext.Provider, { value: client }, children));
};
exports.AnalyticsProvider = AnalyticsProvider;
var useAnalytics = function () {
    var analytics = (0, react_1.useContext)(AnalyticsContext);
    if (!(analytics instanceof analytics_next_1.AnalyticsBrowser)) {
        throw new Error('Analytics client not found. Make sure `AnalyticsProvider` is an ancestor of this component');
    }
    return analytics;
};
exports.useAnalytics = useAnalytics;
//# sourceMappingURL=index.js.map